#include <iostream>
#include <lemon/smart_graph.h>
#include <lemon/invalid.h>
#include <lemon/graph_reader.h>
#include <lemon/graph_writer.h>


using namespace lemon;

int main() {
  SmartGraph graph;

  try {
    std::string filename="sample.lgf";
    GraphReader<SmartGraph> reader(filename,graph);
    SmartGraph::EdgeMap<int> cap(graph);
    reader.readEdgeMap("capacity",cap);
    reader.run();

    std::cout << "Hello! We have read a graph from file " << filename<< 
      " and some maps on it: now we write this to the standard output!" << 
      std::endl;


    GraphWriter<SmartGraph> writer(std::cout, graph);
    writer.writeEdgeMap("multiplicity", cap);
    writer.run();
     
  } catch (DataFormatError& error) {
    std::cerr << error.what() << std::endl;
  }


  return 0;
}
